package com.loit.mybatis.example.controller;


import com.loit.mybatis.example.dto.CommodityDTO;
import com.loit.mybatis.example.response.ObjectResponse;
import com.loit.mybatis.example.service.ITStorageService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 前端控制器
 */
@RestController
@RequestMapping("/storage")
@Slf4j
public class TStorageController {


    @Resource(name = "tStorageServiceImpl")
    private ITStorageService storageService;

    /**
     * 扣减库存
     */
    @PostMapping("dec_storage")
    ObjectResponse decreaseStorage(@RequestBody CommodityDTO commodityDTO) {
        log.info("请求库存微服务：{}", commodityDTO.toString());
        return storageService.decreaseStorage(commodityDTO);
    }


    @GetMapping("dec_storage_auto")
    ObjectResponse decreaseStorageAuto() {
        CommodityDTO commodityDTO = new CommodityDTO();
        commodityDTO.setCommodityCode("C201901140001");
        commodityDTO.setCount(1);
        commodityDTO.setId(1);
        commodityDTO.setName("水杯");

        log.info("请求库存微服务：{}", commodityDTO.toString());
        return storageService.decreaseStorage(commodityDTO);
    }
}

